Subject: ANNOUNCE: Sybperl 2.03 released
From: [email-masked] (Michael Peppler)
Date: 2 Feb 1996 14:53:12 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I've uploaded release 2.03 (no, that's not a typo, 2.02 got uploaded
too, but I found a typo after it had started mirroring...) of sybperl
to "CPAN"/authors/id/MEWP/sybperl-2.03.tar.gz (see below).

This is sybperl 2.03.

This version includes improvements to both the CTlib and DBlib
modules:

- Sybase::CTlib::ct_sql() can now return an array of references	to
  associative arrays (one for each row). 
- Sybase::CTlib::ct_fetchable() uses a precomputed hash to check
  the fetchable status (suggested by Gisle Aas).
- Added Sybase::CTlib::ct_cmd_alloc to allow multiple CS_COMMAND
  structures with a single connection.
- Added Sybase::CTlib::ct_cmd_realloc to drop and realloc the
  current CS_COMMAND structure.

- Added Sybase::DBlib::db*opt() calls. The dbsetopt() call was
  implemented in version 1.0xx but somehow did not get recoded
  in 2.x.
- Sybase::DBlib::sql() can now return an array of references to
  associative arrays (one for each row).
- Logging for dbwritetext() has been enabled by adding an additional
  (optional) $log parameter. I'm not very happy with the calling
  sequence (it's getting further and further from the C version), but
  that's the cost of not doing it right from the start, I guess...

It was not possible to enable System 10 features in the Sybase::DBlib
module (the default 4.6.1 behaviour was always used). I have changed
this to ALWAYS use System 10 behaviour (in particular for
numeric/decimal/identity data retrieval) if the DB-Library revision
supports it.

The following bugs have been fixed:

	Bug Fixes:

	BugId	   Description

	146	   Need multiple CS_COMMAND structures for ct_cursor
		   operations.
	147	   $date->calc() changes both the original $date and
		   the new date.
	148	   Sybperl.pm does not export $DB_IN, $DB_OUT.
	151	   Sybperl.pm does not define &dbwritetext().
	152	   Sybperl.pm defines $main::ComputeID, sybperl 1.0xx
		   used $main::ComputeId.
	155	   Retrieving large integers (of numeric or decimal
		   data types) creates floating point data in
		   exponential notation.
	156	   dbsetversion() does not work.
	123	   Allow logging for dbwritetext().

"CPAN" is the Comprehensive Perl Archive Network, and is one of the
following:

The master CPAN site is ftp.funet.fi, one of the largest ftp sites
in the world, please read ftp://ftp.funet.fi/README for more general
information. The CPAN master is located at

	ftp://ftp.funet.fi/pub/languages/perl/CPAN/

CPAN is mirrored widely, please select the CPAN site nearest you to
keep the networks happy. At the moment the registered CPAN sites are:

	Africa

	ftp://ftp.is.co.za/programming/perl/CPAN/

	Australasia

	ftp://coombs.anu.edu.au/pub/perl/
	ftp://ftp.mame.mu.oz.au/pub/perl/CPAN/

	Europe

	ftp://ftp.funet.fi/pub/languages/perl/CPAN/
	ftp://ftp.sunet.se/pub/lang/perl/CPAN/
	ftp://ftp.cs.ruu.nl/pub/PERL/CPAN/
	ftp://ftp.demon.co.uk/pub/mirrors/perl/CPAN/
	ftp://ftp.pasteur.fr/pub/computing/unix/perl/CPAN/
	ftp://ftp.rz.ruhr-uni-bochum.de/pub/programming/languages/perl/CPAN/
	ftp://ftp.switch.ch/mirror/CPAN/
	ftp://orpheu.ci.uminho.pt/pub/lang/perl/

	North America

	ftp://ftp.cis.ufl.edu/pub/perl/CPAN/
	ftp://uiarchive.cso.uiuc.edu/pub/lang/perl/CPAN/
	ftp://ftp.delphi.com/pub/mirrors/packages/perl/CPAN/
	ftp://ftp.sedl.org/pub/mirrors/CPAN/
	ftp://ftp.sterling.com/programming/languages/perl/

I checked on ftp://ftp.cis.ufl.edu/pub/perl/CPAN/authors/id/MEWP a
couple of minutes ago, and 2.03 had already made it there.

As always, comments and suggestions are gladly accepted...

Michael

-- 
Michael Peppler, ITF Management SA, Fontaine 13, CH-1204 Geneva
[email-masked] - Tel (4122) 818 3021 - Fax (4122) 312 1322
GCS d+(-) s++: a C++ US++++$ P+++$ E++ W? N++ !w tv- b+++ G e+++ h---
r+++ y?